import { ComponentsObject, OperationObject, ParameterObject, ReferenceObject } from 'openapi3-ts';
/**
 * Generate a react-query component from openapi operation specs
 */
export declare const createHook: ({ operation, verb, route, operationIds, parameters, schemasComponents, headerFilters, overrides, }: {
    operation: OperationObject;
    verb: string;
    route: string;
    operationIds: string[];
    parameters: (ReferenceObject | ParameterObject)[] | undefined;
    schemasComponents?: ComponentsObject | undefined;
    headerFilters?: string[] | undefined;
    overrides?: Record<string, {
        type: 'query';
    } | {
        type: 'mutation';
    } | {
        type: 'infiniteQuery';
        infiniteQueryParm: string;
    }> | undefined;
}) => {
    implementation: string;
    imports: string[];
    queryImports: ("query" | "mutation" | "infiniteQuery")[];
};
